<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);
require_once('../incfiles/core.php');
require_once('../incfiles/head.php');
$textl = 'Магазин сайта';
/***********
 МаГазин для сайта
 Аффтар - ValekS
 http://john-help.ru
***********/
if (!$user_id) {
echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />ВЫ не зарегистрированы!</p></div>';
} else {
echo '<div class="phdr"><a href="/shop/">Магазин '.str_replace('http://', '',$set['homeurl']).'</a> | Перевод монет</div>';

switch ($act) {
case 'ok':

    // Принимаем данные
    $kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $logid = isset($_POST['logid']) ? trim($_POST['logid']) : '';
    $sum = isset($_POST['sum']) ? abs(intval($_POST['sum'])) : '';
    $error = false;

    // Проверяем данные Ник или АйДи
    if (empty($logid))
        $error = $error . 'Не ввёден Ник/ID<br />';
    elseif (mb_strlen($logid) > 15)
        $error = $error . 'Недопустимая длина Ник/ID!<br />';
    if (preg_match('/[^\da-zA-Z\-\@\*\(\)\?\!\~\_\=\[\]]+/', $logid))
        $error = $error . 'Недопустимые символы в Ник/ID!<br />';
    // Провереряем данные сумма
    if (empty($sum))
        $error = $error . 'Не ввёдена сумма!<br />';
    if (preg_match('/[^\d]+/', $sum))
        $error = $error . 'Недопустимые символы в сумме!<br />';
    // Проверка кода CAPTCHA
    if (empty($kod) || mb_strlen($kod) < 4)
        $error = $error . 'Не введён проверочный код!<br />';
    elseif ($kod != $_SESSION['code'])
        $error = $error . 'Проверочный код неверен!<br />';
    unset($_SESSION['code']);

    if (empty($error)) {
        // Проверка на кривые данные Ник или АйДи
        if (is_numeric($logid) != false) {
        $req = mysql_query("select * from `users` where `id`='$logid'");
        if (mysql_num_rows($req) == 0) $error = 'Такого юзера нет!<br/>';
        } else {
        $uid = mysql_fetch_assoc(mysql_query("SELECT `id` FROM `users` WHERE `name`='$logid'"));
        $req = mysql_query("select * from `users` where `id`='".$uid['id']."'");
        $logid = $uid['id'];
        if (mysql_num_rows($req) == 0) $error = 'Такого юзера нет!<br/>';
        }

        // Проверка на кривые данные сумма
        if ($datauser['balans'] < $sum || $datauser['balans'] == 0) {
        $error = 'У вас нет столько монет!<br/>';
        }
    }

    // Заносим данные в БД
    if (empty($error)) {
        $mon = mysql_fetch_assoc(mysql_query("SELECT `balans` FROM `users` WHERE `id`='$logid'"));
        mysql_query("UPDATE `users` SET `balans` = '" . ($mon['balans'] + $sum) . "' WHERE `id` = '$logid'");
        mysql_query("UPDATE `users` SET `balans` = '" . ($datauser['balans'] - $sum) . "' WHERE `id` = '$user_id'");
        mysql_query("INSERT INTO `cms_mail` SET `user_id` = '0',`from_id` = '" . $logid . "',`text` = 'Пользователь [b]".$login."[/b] перевёл вам [b]".$sum."[/b] монет сайта!',`time` = '" . time() . "',`sys` = '1',`them` = 'Перевод монет'");
        $polz = mysql_fetch_assoc(mysql_query("SELECT `name` FROM `users` WHERE `id`='$logid'"));
        mysql_query("INSERT INTO `cms_mail` SET `user_id` = '0',`from_id` = '" . $user_id . "',`text` = 'Вы перевели [b]".$sum."[/b] монет сайта пользователю [b]".$polz['name']."[/b]!',`time` = '" . time() . "',`sys` = '1',`them` = 'Перевод монет'");
        echo '<div class="gmenu">Переведено!';
        echo '<br/><a href="/shop/">В магазин</a>';
        echo '</div>';
    } else {
        echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />' . $error . '</p></div>';
    }

break;

default:
    // форма ввода данных
    echo '<div class="list2"><b>'.$login.'</b>, Сдесь ты можешь перевести свои монеты другому юзеру.</div>';
    echo '<form action="money.php?act=ok" method="post"><div class="list1">';
    if ($user) {
    $usr = mysql_fetch_assoc(mysql_query("SELECT `name` FROM `users` WHERE `id`=".$user.""));
    }
    echo '<p><b>ID или Ник:</b><br/><input type="text" name="logid" maxlength="15" '.($user ? 'value="' . $usr['name'] . '"' : '').' /><br/><small>Введите ID или Ник юзера которому передаются монеты</small></p>';
    echo '<p><b>Сумма:</b><br/><input type="text" name="sum" maxlength="15" /><br/><small>Введите сумму которую хотите перевести</small></p></div>';
    echo '<div class="gmenu"><p><img src="/captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код" border="1"/><br />';
    echo 'Код с картинки:<br/><input type="text" size="5" maxlength="5" name="kod"/></p></div>';
    echo '<div class="list2"><input type="submit" name="submit" value="Перевести"/></div></form>';
break;
    }
       }
require_once('../incfiles/end.php');
?>